Parse File
Parse files to get cleaned, chunked target content (e.g. markdown).
The Parse endpoint allows you to convert documents into structured, machine-readable formats with fine-grained control over the parsing process. This endpoint is ideal for extracting cleaned document content to be used as context for downstream processing, e.g. RAG pipelines, custom ingestion pipelines, embeddings classification, etc.
For more details, see the Parse File guide.
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Headers
API version to use for the request. If you do not specify a version, you will either receive a 400 Bad Request or be set to a previous legacy version. See API Versioning for more details.
The workspace ID to target. Required when using an organization-scoped API key; optional for workspace-scoped keys (the key is already tied to a workspace). See Authentication for details on API key scopes.
Query parameters
Controls the format of the response chunks. Defaults to json if not specified.
json- Returns parsed outputs in the response bodyurl- Return a presigned URL to the parsed content in the response body
Request
Response
The type of object. Will always be "parser_run".
A unique identifier for the parser run. Will always start with "parser_run_"
Example: "parser_run_xK9mLPqRtN3vS8wF5hB2cQ"
The status of the parser run:
"PROCESSED"- The file was successfully processed"FAILED"- The processing failed (see failureReason for details)
Raw OCR data from the parsing process. Words and lines are independently enabled with returnOcr.words and returnOcr.lines; either array may be omitted.
These are usage credits for parser runs.
This field will not be returned for parser runs created before October 7, 2025, or for customers on legacy billing systems.
For more details on how credits work, see our Credits Guide.

